On Ubuntu 64 bits and S4A

3068 views
Skip to first unread message

jdelgado.pin

unread,
Oct 17, 2015, 2:45:49 AM10/17/15
to S4A Community Mail List
Hi everyone,

I just got a working installation of S4A on Ubuntu 64 bit. Since some of you have been having problems with Ubuntu 64 I would like to tell you how I did it. I am NOT saying it is the best way to do it, nor that it is the right way to do it. It is just a workaround that, well, works :)

First download http://vps34736.ovh.net/S4A/S4A16.deb and uncompress it (*not* install it) somewhere. Let's call this place <somewhere>.

Then, for the sake of its dependencies, we will install scratch:
sudo apt-get install scratch

we will not do anything else with scratch. Surprisingly the module vm-display-x11 of S4A does not work in this setting (but the vm-display-x11 module of scratch works fine). After ldd'ing vm-display-x11 of S4A we see there is a library missing, so we install it:
sudo apt-get install libsm6:i386

Now, we should add our user (let it be <user>) to the group dialout:
sudo usermod -a -G dialout <user>

Finally, we can execute S4A:
<somwhere>/s4a_squeak_vm -encoding UTF-8 -vm-display-x11 -plugins <somewhere>/lib/s4a/Plugins/ -vm-sound-pulse <somewhere>/lib/s4a/S4A.image

It will find the Arduino board and we can play with S4A!

Now, a launcher should be created in the desktop but this is pretty much standard, so it will be left as an exercise for the reader... ;)

Let me say it again. This is only a workaround, but it works (in my machine :) )

Bests,

Jordi

Jordi Delgado

unread,
Oct 17, 2015, 2:54:28 AM10/17/15
to S4A Community Mail List
Just a comment:

I do not know why Ubuntu is so problematic. In Linux Mint there was no problem at all. I just followed the instructions in the s4a.cat website after downloading S4A16.deb:

sudo dpkg --add-architecture i386
sudo apt-get update
sudo apt-get install ia32-libs

sudo dpkg -i --force-architecture S4A16.deb

added user to the group dialout

sudo usermod -a -G dialout <user>

and everything works like a charm. Thus, other option would be to abandon Ubuntu and use Mint.

Bests,

Jordi

--
You received this message because you are subscribed to the Google Groups "S4A Community Mail List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to s4a-communit...@googlegroups.com.
To post to this group, send email to s4a-co...@googlegroups.com.
Visit this group at http://groups.google.com/group/s4a-community.
To view this discussion on the web visit https://groups.google.com/d/msgid/s4a-community/b2a5ee1e-5e16-45b5-88ce-6544f54efa2a%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

Jorge Gómez

unread,
Oct 19, 2015, 4:45:57 AM10/19/15
to s4a-co...@googlegroups.com
That's what I was going to say!

With Linux Mint 64 bits there's not problem at all with S4A...

Jorge Gómez Arenas
https://sindormir.net
<jo...@sindormir.net>
@SindormirNet
(+34) 635 410 804

rashantha

unread,
Apr 15, 2016, 2:49:14 PM4/15/16
to S4A Community Mail List
Does not work with Ubuntu 14.0.4 64 bit
dpbkg: dependency problems prevent configuration of s4a:
s4a depends on libc6 (>=2.4).
s4a depends on libcairo2 (>= 1.8.6).
s4a depends on libglib2.0-0 (>=2.20.1)
s4a depends on libpango1.0.0 (>= 1.24.1).
s4a depends on libv4l-0 (>= 0.5.0).

Hope someone can help with this.

Víctor Casado

unread,
Apr 22, 2016, 7:49:21 AM4/22/16
to rashantha, S4A Community Mail List
Hi!

Sorry for the late reply. Please try to execute these commands in a shell before installing S4A:

sudo dpkg -r s4a (Only if you have already installed it)
sudo dpkg --add-architecture i386
sudo apt-get update

Then install S4A:

sudo dpkg -i S4A16.deb

It should install automatically all dependencies needed.

Best regards,

--
You received this message because you are subscribed to the Google Groups "S4A Community Mail List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to s4a-communit...@googlegroups.com.
To post to this group, send email to s4a-co...@googlegroups.com.

For more options, visit https://groups.google.com/d/optout.



--
Víctor Casado
Equip de recerca (Edutec)
vict...@citilab.eu

FUNDACIÓ PEL FOMENT DE LA
SOCIETAT DEL CONEIXEMENT 
CORNELLÀ


Citilab Cornellà http://citilab.eu | Pl. Can Suris s/n | 08940 Cornellà de Llobregat | Barcelona


En compliment de la Llei Orgànica de Protecció de Dades de Caràcter Personal (LOPD), l’informem que les seves dades de contacte han estat incorporades en un fitxer titularitat de FUNDACIÓ PEL FOMENT DE LA SOCIETAT DEL CONEIXEMENT (CITILAB). La finalitat d’aquest fitxer és la de mantenir la relació amb els usuaris dels diferents oferts, inscripció als cursos i a les activitats organitzades, facilitar la tramitació d’informació i notificacions comercials i administratives, i en el cas de que vostè ho hagi sol·licitat, l’enviament de publicitat relativa als serveis oferts. FUNDACIÓ PEL FOMENT DE LA SOCIETAT DEL CONEIXEMENT (CITILAB) assegura la confidencialitat de les dades aportades i garanteix que, en cap cas, seran cedides per cap altre ús sense que hi hagi un consentiment previ i exprés per part seva.


Per exercir els drets d’accés, rectificació, cancel·lació i oposició previstos en la llei, pot adreçar-se mitjançant correu postal a FUNDACIÓ PEL FOMENT DE LA SOCIETAT DEL CONEIXEMENT (CITILAB), Ref. Protecció de Dades, Pl. Can Suris S/N, 08940, Cornellà de Llobregat, Barcelona, o bé exercir els drets assenyalats mitjançant l’enviament de la seva petició al correu electrònic avis...@citilab.eu, indicant en l’assumpte del correu “Ref. Protecció de Dades” (acreditant degudament la seva identitat).

rashantha

unread,
Apr 23, 2016, 2:43:17 AM4/23/16
to S4A Community Mail List, rash...@gmail.com
thanks Victor or your reply.
I tried exactly what you stated and I get this.

Unpacking s4a (1.6) ...
dpkg: dependency problems prevent configuration of s4a:

 s4a depends on libc6 (>= 2.4).
 s4a depends on libcairo2 (>= 1.8.6).
 s4a depends on libglib2.0-0 (>= 2.20.1).
 s4a depends on libpango1.0-0 (>= 1.24.1).

 s4a depends on libv4l-0 (>= 0.5.0).

dpkg: error processing package s4a (--install):
 dependency problems - leaving unconfigured
Processing triggers for mime-support (3.54ubuntu1.1) ...
Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Processing triggers for bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for hicolor-icon-theme (0.13-1) ...
Processing triggers for shared-mime-info (1.2-0ubuntu3) ...
Errors were encountered while processing:
 s4a

I also saw your post here https://groups.google.com/d/msg/s4a-community/VRxkgF00BZI/NjFGAXrvBgAJ
and tried since the above did not work.

:s4a
/usr/bin/s4a: 5: /usr/bin/s4a: /usr/bin/s4a_squeak_vm: not found
dpkg --add-architecture i386
apt-get update
apt-get install libpulse-dev:i386


after that I got further, but got this error.

dpkg: dependency problems prevent configuration of s4a:

 s4a depends on libcairo2 (>= 1.8.6).
 s4a depends on libpango1.0-0 (>= 1.24.1).

 s4a depends on libv4l-0 (>= 0.5.0).

and if I try to run S4A
could not find display driver vm-display-X11; either:
  - check that /usr/local/squeak-3.10-4/lib/squeak/3.10-4/vm-display-X11.so exists, or
  - use the '-plugins <path>' option to tell me where it is, or
  - remove DISPLAY from your environment.

thanks. If I can't get it to work I will install CENTOS


rashantha

unread,
Apr 23, 2016, 3:31:42 AM4/23/16
to S4A Community Mail List, rash...@gmail.com
Hey guys so I finally got it install but doing a -f install on the remaining libs. But still can't run S4A I think it has an issue with Squeak which is 4.10.2 and S4A is searching for different plugin. Can't figure this out anymore.

Scratch runs but not S4A
scratch
Executing: /usr/lib/squeak/4.10.2-2614/squeakvm -encoding UTF-8 -vm-display-x11 -plugins /usr/lib/scratch/plugins/:/usr/lib/squeak/4.10.2-2614/ -vm-sound-pulse /usr/share/scratch/Scratch.image

I think S4A has to be pointed to 4.10.2-2614 instead of 3.10-4

TIA

Víctor Casado

unread,
Apr 29, 2016, 6:24:39 AM4/29/16
to rashantha, S4A Community Mail List
Hi Rashanta,

S4A uses the original Squeak VM from the Scratch 1.4 version, not the latest one. Please can you send the output when you try to launch S4A from a terminal?

Regards,


For more options, visit https://groups.google.com/d/optout.

rashantha

unread,
May 6, 2016, 9:23:28 AM5/6/16
to S4A Community Mail List
Thanks Victor
I did solve this issue. I will duplicate and create a blog with full instructions.


On Friday, October 16, 2015 at 11:45:49 PM UTC-7, jdelgado.pin wrote:

kike....@gmail.com

unread,
Jan 22, 2017, 5:02:57 AM1/22/17
to S4A Community Mail List
Hello
I am kike
my problem is that after install when i try launch from terminal:

could not find display driver vm-display-X11; either:
- check that /usr/local/squeak-3.10-4/lib/squeak/3.10-4/vm-display-X11.so exists, or
- use the '-plugins <path>' option to tell me where it is, or
- remove DISPLAY from your environment.
Aborted (core dumped)

but in /usr/local/ dont exist squeak....
and i dont know what i do
thanks

kike....@gmail.com

unread,
Jan 22, 2017, 1:11:28 PM1/22/17
to S4A Community Mail List, kike....@gmail.com
Hello
sorry for my english

if i go to /usr/lib/s4a and make 2click in s4a.image the program run perfectly

rashantha de silva

unread,
Jan 22, 2017, 1:48:26 PM1/22/17
to kike....@gmail.com, S4A Community Mail List

I believe I edited or moved the location of the file. It was that simple. I will look at my notes.  I had to figure it out myself and tried many things. A bit busy today but hopefully I will have some time to look.

Rashantha.


--
You received this message because you are subscribed to a topic in the Google Groups "S4A Community Mail List" group.
To unsubscribe from this topic, visit https://groups.google.com/d/topic/s4a-community/17vyAziJKnM/unsubscribe.
To unsubscribe from this group and all its topics, send an email to s4a-communit...@googlegroups.com.

To post to this group, send email to s4a-co...@googlegroups.com.
Visit this group at https://groups.google.com/group/s4a-community.

ozgurt...@gmail.com

unread,
Feb 23, 2017, 2:17:39 PM2/23/17
to S4A Community Mail List
17 Ekim 2015 Cumartesi 10:45:49 UTC+4 tarihinde jdelgado.pin yazdı:
This solution is not working because there is no "ia32-libs" packet.
And I didn't find any solution for this problem. Thanks.

Installation troubleshooting

I can't install it on 64-bit Ubuntu/Debian

The Debian version of S4A is packaged only for i386 systems. To get it working in a 64-bit version, you need to follow the following steps (in a terminal, as root):

Fist of all, enable i386 packages and install ia32-libs

dpkg --add-architecture i386
apt-get update
apt-get install ia32-libs
Then install S4A:

dpkg -i --force-architecture S4A16.deb

Víctor Casado

unread,
Feb 27, 2017, 7:09:27 AM2/27/17
to ozgurt...@gmail.com, S4A Community Mail List
Hi,

Yeah you're right, this workaround it's a bit outdated because there is no package ia32-libs anymore. These would be the correct instructions:

1. We need to know what libraries are needed. To check it, open a shell and execute the following command:

    ldd /usr/lib/s4a/Plugins/* | grep "not found"

2. Add the i386 architecture and update the packages (if you didn't before):

    dpkg --add-architecture i386
    apt-get update

2. Install the corresponding 32-bit libraries packages. You can search the contents of the packages from here.

For example, the next screenshot belongs to a freshly installation of Ubuntu 16.04.02:

Imágenes integradas 3

That should be all :)

Best regards!


--

You received this message because you are subscribed to the Google Groups "S4A Community Mail List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to s4a-community+unsubscribe@googlegroups.com.

To post to this group, send email to s4a-co...@googlegroups.com.

For more options, visit https://groups.google.com/d/optout.

436872697...@gmail.com

unread,
Apr 9, 2019, 7:32:45 AM4/9/19
to S4A Community Mail List
thanks! problem solved!

Nikos Ioannou

unread,
Oct 14, 2020, 11:38:17 AM10/14/20
to S4A Community Mail List
it works for me too but there is no sound
Thank you
Reply all
Reply to author
Forward
0 new messages